trinity-users@lists.pearsoncomputing.net

Message: previous - next
Month: March 2015

Re: [trinity-users] cmake couldn't find Qt3

From: Slávek Banko <slavek.banko@...>
Date: Sun, 15 Mar 2015 02:10:47 +0100
On Thursday 26 of February 2015 13:43:47 dollyclone@... wrote:
> Hello, I have "FIND_PACKAGE( KDE3 REQUIRED )" in my CMakeLists.txt .
> In TDE 3.5.13 all goes well, but in r14 I am falling to error message
> processing cmake:
> CMake Error at
> /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:136
> (message):  Could NOT find Qt3 (missing: QT_QT_LIBRARY
> QT_INCLUDE_DIR)Call Stack (most recent call first):
> /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:343
> (_FPHSA_FAILURE_MESSAGE)
> /usr/share/cmake-3.0/Modules/FindQt3.cmake:234
> (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
> /usr/share/cmake-3.0/Modules/FindKDE3.cmake:173 (find_package)
> CMakeLists.txt:81 (FIND_PACKAGE)
> Howto fix ?, Dolly

I think this has a simple explanation: TDE before R14 used Qt3 (slightly 
modified 3.3.8) + TQt interface. TDE from R14 uses TQt.

If you want to convert your application for R14, look into GIT module 
experimental - scripts qt3-tqt3/convert_existing_qt3_app_to_tqt3 and 
kde-tde/convert_existing_kde3_app_to_tde. Look also to GIT module 
main/common/cmake.

-- 
Slávek